Bug 580725 - gnumeric generates errors with complaints about "zz-application" invalid MIME type
Summary: gnumeric generates errors with complaints about "zz-application" invalid MIME...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: desktop-file-utils
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 587620 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-08 21:19 UTC by Michal Jaegermann
Modified: 2012-08-17 01:05 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-08-16 20:08:45 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 41989 None None None Never

Description Michal Jaegermann 2010-04-08 21:19:52 UTC
Description of problem:

The following is reported during an installation:

Error in file "/usr/share/applications/fedora-gnumeric.desktop": "zz-application/zz-winassoc-xls" is an invalid MIME type ("zz-application" is an unregistered media type)

This is likely an old entry but something started to care.

Version-Release number of selected component (if applicable):
gnumeric-1.10.0-1.fc14

Comment 1 Bug Zapper 2010-07-30 11:17:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Dave Shield 2010-08-03 14:18:57 UTC
This bug also affects Fedora 13 (gnumeric-1.10.0-1.fc13.i686)
and earlier releases

Comment 3 Julian Sikorski 2010-08-05 22:11:47 UTC
*** Bug 587620 has been marked as a duplicate of this bug. ***

Comment 4 M Welinder 2010-10-02 17:31:55 UTC
The problem is in the checker, not in Gnumeric.

"zz-application/zz-winassoc-xls" is real mime type.  See, for example,
http://filetonic.com/blog/tag/file-extension/.  It is unregistered and
probably violates a spec or two somewhere, but it is real.  When the
spec and reality disagree, the spec is due for service.

Upstream bug is here https://bugzilla.gnome.org/show_bug.cgi?id=619303
I am not sure why it is WONTFIX as opposed to NOTABUG.

Comment 5 Michal Jaegermann 2010-10-02 18:08:03 UTC
(In reply to comment #4)
> The problem is in the checker, not in Gnumeric.
....
> I am not sure why it is WONTFIX as opposed to NOTABUG.

It is clearly a BUG.  Maybe not that crucial after all but it is there.  Where and how it should be fixed is another question.

Comment 6 Julian Sikorski 2011-02-12 09:19:08 UTC
OK, this BUG now starts to interfere with me updating gnumeric:
https://admin.fedoraproject.org/updates/gnome-chemistry-utils-0.12.6-2.fc14,goffice-0.8.13-1.fc14,gnumeric-1.10.13-1.fc14

Comment 7 Julian Sikorski 2011-02-12 09:43:07 UTC
Similar to 587566.

Comment 8 Hans de Goede 2011-09-28 10:05:41 UTC
I've filed a bug upstream for this:
https://bugs.freedesktop.org/show_bug.cgi?id=41286

Comment 9 Cristian Ciupitu 2011-11-26 05:40:37 UTC
gnumeric-1.10.17-1.fc16.x86_64 is affected, too.

Comment 10 Fedora End Of Life 2012-08-16 20:08:48 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Cristian Ciupitu 2012-08-17 01:05:44 UTC
Fixed in gnumeric-1.11.5-1.fc17.x86_64.


Note You need to log in before you can comment on or make changes to this bug.